QGIS Application - Bug report #14337
node tool is not enable for 3d layers

2016-02-19 05:49 AM - Denis Rouzaud

Status: Closed

Priority: Severe/Regression
Assignee: Hugo Mercier
Category: Map Tools

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 22324

Description

The node tool is cannot be enabled for 3d layers (point, line, polygon) but it can for 2 layers.

History

#1 - 2016-02-22 01:15 AM - Hugo Mercier

Works fine for me on the last master (a1672da1) ... | can use the node tool on 3D layers

There has been some work on the geometry classes during the past three days. Could this be related ?

#2 - 2016-02-22 01:43 AM - Denis Rouzaud
- Status changed from Open to Closed

indeed.
aparently, it's a different problem. will try to investigate.

| can turn editing on the layer, add feature. But can't commit and can't use node tools and most of advanced digitizing tools.

It's not related to 3d, my bad.

It's rather a matter of writing rights | suppose, and bad icons enabling in qgisapp.

sorry, | did not investigate properly before reporting.
